#
#   Makefile definitions for xshow
#
OBJ    = fork_xshow.o
CINCL  = fork_xshow.i
PROG   = ReadMenuList fork_xshow
MANP   = xshow.m fork_xshow.m
XSSRC  = Macro.o Xprog.o Xfunc.o Xcontrol.o Xbuild_menu.o MenuBox.o \
	 MenuCommand.o SubMenuCommand.o Xdisplay.o xshowImageOptionsMenu.o

xshow:  $(XSSRC)
	$(LINK.x.obj)
	-@rm $(XITE_BIN_DEST)/$@ > /dev/null 2>&1
	-@ln -s $(XITE_BIN_DEST)/startProg $(XITE_BIN_DEST)/$@ > \
	  /dev/null 2>&1
	-@chmod a+rx $(XITE_BIN_DEST)/$@.bin $(XITE_BIN_DEST)/$@ > \
	  /dev/null 2>&1
	-@rm xshow.o > /dev/null 2>&1
$(XSSRC) xshow.o:$(@:.o=.c)
	$(COMPILE.x) $(@:.o=.c)

include:cincl
object: cobj
lib:    clib
program:cprog xprog
doc:    manpage
xprog:  xshow


